Subject: bug#48581: 27.2; Default value of lazy-highlight-buffer-max-at-a-time is too low

From: Augusto Stoffel <[email-masked]>
Date: Sat, 22 May 2021 14:17:25 +0200

On Sat, 22 May 2021 at 14:08, Eli Zaretskii <[email-masked]> wrote:

> In most real-life cases, at least in mine, you never need to look at
> all the matches, only at the first few.

That's right.  However, despite the name,
`lazy-highlight-buffer-max-at-a-time' also influences the time needed to
compute the number of matches in the buffer.  So, when you set
`isearch-lazy-count' to t, those numbers in the table of my first
message indicate the delay between typing a search string and seeing the
number of matches in the buffer (as well as the relative position of the
current match) in the echo area.

Perhaps you don't use `isearch-lazy-count', but if you do, you must have
noticed it's often a bit slow to update.